Imports System.Data.SqlClient

Friend Class ActualizadorDestinoInsertarRegistros

    ''' <summary>
    ''' Usar conexion a Maestro de prixus.
    ''' Función hasta establecer conexión retorna valor.
    ''' Diseñada para trabajar dentro de un Worker.
    ''' La cadena de conexión debe estar verficada.
    ''' </summary>
    Friend Function InsertarRegistros(ByVal cadenaConexion As String, ByVal datosXml As String) As Boolean
        Dim resultado As Boolean = False

        Try
            Dim query = "sp_remAsistenciasInsertarLogs @datosXml"

            'Dim ConexionOk = False
            'Do
            Using conBD = New SqlConnection(cadenaConexion)
                Try
                    conBD.Open()
                    Dim SqlCom = New SqlCommand(query, conBD)
                    SqlCom.CommandType = CommandType.Text
                    SqlCom.Parameters.Add(New SqlParameter("@datosXml", datosXml))
                    Dim sqlRespuesta = SqlCom.ExecuteScalar()
                    If IsNumeric(sqlRespuesta.ToString()) Then
                        resultado = sqlRespuesta.ToString().Equals("1")
                        'ConexionOk = True
                    End If

                Catch ex As Exception
                    If TypeOf ex Is SqlException Then
                        ' Si tiene problemas de conexión por falta de internet entonces que espere 
                        ' 10 seg y vuelva a intentar.
                        'System.Threading.Thread.Sleep(10000)
                    Else
                        'ConexionOk = True
                    End If
                End Try
            End Using
            'Loop While (ConexionOk = False)
        Catch ex As Exception
        End Try

        Return resultado
    End Function
End Class